### Signal

# Gtk CellArea::add-editable

#### Declaration

    void
    add_editable (
      GtkCellArea* self,
      GtkCellRenderer* renderer,
      GtkCellEditable* editable,
      GdkRectangle* cell_area,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Indicates that editing has started on `renderer` and that `editable` should be added to the owning cell-layouting widget at `cell_area`.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` that started the edited.

  The data is owned by the caller of the function.

`editable`

  Type: `GtkCellEditable`

  The `GtkCellEditable` widget to add.

  The data is owned by the caller of the function.

`cell_area`

  Type: `GdkRectangle`

  The `GtkWidget` relative `GdkRectangle` coordinates where `editable` should be added.

  The data is owned by the caller of the function.

`path`

  Type: `gchar*`

  The `GtkTreePath` string this edit was initiated for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.